%define url_ver %(echo %{version}|cut -d. -f1,2)
%define dirver %(echo %{version}|cut -d. -f1,2,3)

%define major 28
%define sslmajor 27
%define xsslmajor 0
%define libname %mklibname %{name} %{major}
%define libnamexx %mklibname %{name}xx %{major}
%define libssl %mklibname %{name}-openssl %{sslmajor}
%define libxssl %mklibname %{name}-xssl %{xsslmajor}
%define devname %mklibname %{name} -d

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	3.2.21
Release:	1
License:	GPLv2+ and LGPLv2.1+
Group:		System/Libraries
Url:		http://www.gnutls.org
Source0:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnutls-3.2.7-rpath.patch
# Use only FIPS approved ciphers in the FIPS mode
Patch7:		gnutls-2.12.21-fips-algorithms.patch
Patch8:		gnutls-3.1.11-nosrp.patch

BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(libtasn1)
BuildRequires:	pkgconfig(nettle)
BuildRequires:	pkgconfig(p11-kit-1)
%ifnarch %{arm} %{mips} aarch64
BuildRequires:	valgrind
%endif

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%files
%doc NEWS README
%{_bindir}/[cgs]*
%{_bindir}/danetool
%{_bindir}/psktool
%{_bindir}/p11tool
%{_bindir}/ocsptool
%{_mandir}/man?/*
%{_infodir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Requires:	%{name}-locales
# To avoid file conflicts when both 32 and 64 bit old libraries are installed
%if "%{_lib}" == "lib64"
Conflicts:	lib%{name}%{major} < 3.2.15
%endif

%description -n %{libname}
This package contains a shared library for %{name}.

%files -n %{libname}
%{_libdir}/libgnutls.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libnamexx}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Conflicts:	%{_lib}gnutls28 < 3.2.15

%description -n %{libnamexx}
This package contains a shared library for %{name}.

%files -n %{libnamexx}
%{_libdir}/libgnutlsxx.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libssl}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Conflicts:	%{_lib}gnutls-ssl27 < 3.2.15
Obsoletes:	%{_lib}gnutls-ssl27 < 3.2.15

%description -n %{libssl}
This package contains a shared library for %{name}.

%files -n %{libssl}
%{_libdir}/libgnutls-openssl.so.%{sslmajor}*

#----------------------------------------------------------------------------

%package -n %{libxssl}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{libxssl}
This package contains a shared library for %{name}.

%files -n %{libxssl}
%{_libdir}/libgnutls-xssl.so.%{xsslmajor}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{EVRD}
Requires:	%{libname} = %{EVRD}
Requires:	%{libnamexx} = %{EVRD}
Requires:	%{libssl} = %{EVRD}
Requires:	%{libxssl} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%files -n %{devname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls

#----------------------------------------------------------------------------

%package locales
Summary:	Locale files for GnuTLS
Group:		System/Internationalization
BuildArch:	noarch
Conflicts:	%{_lib}gnutls28 < 3.2.15

%description
Locale files for GnuTLS main library.

%files locales -f %{name}.lang

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{dirver}
%patch1 -p1 -b .rpath
# This patch is not applicable as we use nettle now but some parts will be
# later reused.
# patch7 -p1 -b .fips
%patch8 -p1 -b .nosrp

sed 's/gnutls_srp.c//g' -i lib/Makefile.in
sed 's/gnutls_srp.lo//g' -i lib/Makefile.in

%build
%configure2_5x \
	--disable-static \
	--with-included-libtasn1=no \
	--disable-srp-authentication \
	--with-libz-prefix=%{_prefix} \
%ifnarch %{arm} %{mips} aarch64
	--enable-valgrind-tests \
%endif
	--disable-non-suiteb-curves \
	--disable-rpath \
	--disable-guile

%make

%install
%makeinstall_std

%find_lang %{name}

%check
#make check

%changelog
* Thu Jan 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.2.21-1
+ Revision: e2ede8a
- New version 3.2.21


